AutoCAD 2013/2014/2015

AutoCAD 2013/2014/2015

Reply
Valued Contributor
90 Posts
8 Kudos
Registered: ‎04-03-2012
Post 1 of 8

Surveyor's Units in Fields - ACAD 2013

1177 Views, 7 Replies
05-03-2012 04:33 AM

In releases 2012 and older, I was able to provide a field in my dimensions that picked up an object's (line) angle in surveyor's units: i.e 34d25'45".  I would add a field, select an object, and set the units for surveyor's within the field dialog box.  Now, in 2013 it seems as if the surveyor's choice within the field dialog box is not available.

 

Is this a bug or am I missing something?  I need to work on a few site plans and this was a great feature in the past and it is unavailable as of 2013 versions of Autocad, ACA, and MEP.

 

Can someone please confirm this or point me in the right direction?

 

I even tried changing the units of the drawing to surveyors (which is available still in the units dialog box). but, that didn't work.

 

Thanks

 

Dave

 

*Expert Elite*
6,431 Posts
601 Kudos
Registered: ‎09-16-2009
Post 2 of 8

Re: Surveyor's Units in Fields - ACAD 2013

05-03-2012 06:22 AM in reply to: dtdesign

You're absolutely correct, it is gone. Not only that, when units of drawing set to Decimal, it displays wrong angle.

 

FIX it Autodesk

Valued Contributor
90 Posts
8 Kudos
Registered: ‎04-03-2012
Post 3 of 8

Re: Surveyor's Units in Fields - ACAD 2013

05-03-2012 08:54 AM in reply to: Patchy

Yeah - Not sure why they changed it.  nice image though - comparing the two.  I notice you are in ACA or MEP, right?  I haven't tried it in plain autocad yet...

*Expert Elite*
6,431 Posts
601 Kudos
Registered: ‎09-16-2009
Post 4 of 8

Re: Surveyor's Units in Fields - ACAD 2013

05-03-2012 09:10 AM in reply to: dtdesign

The right photo was snapped from Plain 2013, the left one from 2008 LDD

I tried the same field with 2010 Civil 3D and it works as 2008.

 

2013 is sinking

Product Support
64 Posts
10 Kudos
Registered: ‎11-04-2011
Post 5 of 8

Re: Surveyor's Units in Fields - ACAD 2013

05-15-2012 02:49 AM in reply to: dtdesign

Hi All,

I've verified this strange behaviour and it's a regression issue occurring in AutoCAD 2013 release.

I've send to our development team this request and they will provide to fix the code asap.

Thank you for letting us know about it

Please, feel free to mark any response clicking on "Accept as Solution" button if it answers your question

Kind regards,
Sergio



Sergio Bertino
Valued Contributor
90 Posts
8 Kudos
Registered: ‎04-03-2012
Post 6 of 8

Re: Surveyor's Units in Fields - ACAD 2013

05-15-2012 03:19 AM in reply to: dtdesign

S - I will mark as an accepted solution - when the fix is issued...

*Expert Elite*
3,726 Posts
474 Kudos
Registered: ‎11-13-2006
Post 7 of 8

Re: Surveyor's Units in Fields - ACAD 2013

05-15-2012 06:54 AM in reply to: dtdesign

In the meantime, you could use this lisp code to generate the FIELD you need. Tested in AutoCAD 2013 x64 version.

 

;|

 Raw lisp code
 No error checking
 Rename the function to something you like

 Used to create a MTEXT string containing
 a FIELD that points to the angle of a line
 reported in Surveyors Units 
 with precision = N00°00'00"E

|;

(defun c:foo ( / ENT LIN OBA TAB UTIL)
  (setq ent (car (entsel)))
  (setq tab (vlax-ename->vla-object ent))  
  (setq oba (vla-get-objectid tab))
  (if (> (vl-string-search "x64" (getvar "platform")) 0)
    (progn
      (setq util (vla-get-Utility (vla-get-activedocument (vlax-get-acad-object))))
      (setq oba (vlax-invoke-method util "GetObjectIdString" tab :vlax-False))
    )
    (setq oba (rtos oba 2 0))
  )
  (setq lin (strcat "%<\\AcObjProp Object(%<\\_ObjId " oba ">%).Angle \\f \"%au4%pr3\">%"))  
  (vl-cmdf "._mtext" (getpoint "\n>Pick point for text: ") "w" "0" lin "")
  (vlax-release-object util)
)

 

Valued Contributor
58 Posts
9 Kudos
Registered: ‎07-28-2012
Post 8 of 8

Re: Surveyor's Units in Fields - ACAD 2013

07-30-2012 09:04 AM in reply to: sergio.bertino

Has a patch been posted? Thanks.



Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Are you interested in helping shape the future of the Autodesk Community? To participate in this brief usability study, please click here. Your time and input is greatly appreciated!